Index: pcp/src/wannier.c
===================================================================
--- pcp/src/wannier.c	(revision 9bdd866eca950981175d4eb672952e1c119b1d98)
+++ pcp/src/wannier.c	(revision 4f136930622a3ef24a8e10066443133f1c24c77c)
@@ -12,5 +12,5 @@
 
   File: wannier.c
-  $Id: wannier.c,v 1.63 2007-02-13 14:15:29 foo Exp $
+  $Id: wannier.c,v 1.7 2007-10-12 15:50:38 heber Exp $
 */
 
@@ -30,4 +30,5 @@
 #include "density.h"
 #include "errors.h"
+#include "gramsch.h"
 #include "helpers.h"
 #include "init.h"
@@ -35,8 +36,10 @@
 #include "mymath.h"
 #include "output.h"
+#include "perturbed.h"
 #include "wannier.h"
 
 
 #define max_operators NDIM*2 //!< number of chosen self-adjoint operators when evaluating the spread
+#define type Occupied
 
 
@@ -57,5 +60,5 @@
  * \note taken from [Golub, Matrix computations, 1989, p451]
  */
-void music(int *top, int *bot, int m)
+void MerryGoRoundIndices(int *top, int *bot, int m)
 {
   int *old_top, *old_bot;
@@ -96,6 +99,6 @@
   fprintf(stderr,"\n");*/
   // and finito
-  Free(old_top, "bla");
-  Free(old_bot, "bla");
+  Free(old_top, "MerryGoRoundIndices: old_top");
+  Free(old_bot, "MerryGoRoundIndices: old_bot");
 }
 
@@ -114,5 +117,5 @@
  * \param tagR1 MPI tag for receiving right column
  */ 
-void shiftcolumns(MPI_Comm comm, double **Aloc, int Num, int max_rounds, int k, int tagS0, int tagS1, int tagR0, int tagR1) {
+void MerryGoRoundColumns(MPI_Comm comm, double **Aloc, int Num, int max_rounds, int k, int tagS0, int tagS1, int tagR0, int tagR1) {
   //double *A_locS1, *A_locS2;  // local columns of A[k]
   //double *A_locR1, *A_locR2;  // local columns of A[k]
